This is the mail archive of the elfutils-devel@sourceware.org mailing list for the elfutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[Bug general/25525] configure: error: gcc with GNU99 support required


https://sourceware.org/bugzilla/show_bug.cgi?id=25525

Mark Wielaard <mark at klomp dot org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|WAITING                     |RESOLVED
         Resolution|---                         |INVALID

--- Comment #4 from Mark Wielaard <mark at klomp dot org> ---
(In reply to tjyr from comment #3)
> Created attachment 12313 [details]
> config.log
> 
> here is the config.log.

Thanks. So it shows clang is pretending to be gcc, but it doesn't really
support the GNU99 C features that are needed to build elfutils.

> and I use this tool in MacOS(10.14.6)。Is it possible run in macos?

Yes, but you need to install gcc first if you want to build it from source.

-- 
You are receiving this mail because:
You are on the CC list for the bug.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]